Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/ChangeLog	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -1,2 +1,10 @@
+2009-12-08	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* sp18/init.c, sp31/task1.c, sp43/init.c, sp63/init.c, sp64/init.c,
+	spfatal10/testcase.h, spfatal11/testcase.h, spobjgetnext/init.c,
+	spwkspace/init.c: Use rtems_test_assert() consistently instead of
+	system assert(). rtems_test_assert() is designed to integrate into
+	the RTEMS test suite infrastructure.
+
 2009-12-04	Sebastian Huber <Sebastian.Huber@embedded-brains.de>
 
Index: testsuites/sptests/sp18/init.c
===================================================================
--- testsuites/sptests/sp18/init.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/sp18/init.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -27,5 +27,5 @@
   puts( "Init - rtems_workspace_get_information - OK" );
   sb = rtems_workspace_get_information( &start );
-  assert( sb );
+  rtems_test_assert( sb );
 
   #if 0
@@ -33,5 +33,5 @@
     printf( "Init - workspace free blocks = %d\n", start.Free.number );
   #endif
-  assert( start.Free.number == 1 );
+  rtems_test_assert( start.Free.number == 1 );
   stack_size = start.Free.largest;
 
@@ -61,7 +61,7 @@
      */
     sb = rtems_workspace_get_information( &info );
-    assert( sb );
-    assert( info.Free.largest == start.Free.largest );
-    assert( info.Free.number  == start.Free.number  );
+    rtems_test_assert( sb );
+    rtems_test_assert( info.Free.largest == start.Free.largest );
+    rtems_test_assert( info.Free.number  == start.Free.number  );
 
     stack_size -= 8;
@@ -82,7 +82,7 @@
   puts( "Init - verify workspace has same memory" );
   sb = rtems_workspace_get_information( &info );
-  assert( sb );
-  assert( info.Free.largest == start.Free.largest );
-  assert( info.Free.number  == start.Free.number  );
+  rtems_test_assert( sb );
+  rtems_test_assert( info.Free.largest == start.Free.largest );
+  rtems_test_assert( info.Free.number  == start.Free.number  );
 
   puts( "*** END OF TEST 18 ***" );
Index: testsuites/sptests/sp31/task1.c
===================================================================
--- testsuites/sptests/sp31/task1.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/sp31/task1.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -141,5 +141,5 @@
   printf( "Timer Server scheduled for %" PRIdWatchdog_Interval " ticks since boot\n",
     schedule_time() );
-  assert(  (info.start_time + info.initial) == schedule_time() );
+  rtems_test_assert(  (info.start_time + info.initial) == schedule_time() );
 
   puts( "TA1 - rtems_task_wake_after - 1 second" );
@@ -158,5 +158,5 @@
   printf( "Timer Server scheduled for %" PRIdWatchdog_Interval " ticks since boot\n",
     schedule_time() );
-  assert(  (info.start_time + info.initial) == schedule_time() );
+  rtems_test_assert(  (info.start_time + info.initial) == schedule_time() );
 
   puts( "TA1 - rtems_timer_cancel - timer 1" );
Index: testsuites/sptests/sp43/init.c
===================================================================
--- testsuites/sptests/sp43/init.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/sp43/init.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -271,22 +271,22 @@
 
   puts( "rtems_build_id - build an id to match init task" );
-  tmpId = rtems_build_id( OBJECTS_CLASSIC_API, OBJECTS_RTEMS_TASKS, 1, 1 ),
-  assert( tmpId == main_task );
+  tmpId = rtems_build_id( OBJECTS_CLASSIC_API, OBJECTS_RTEMS_TASKS, 1, 1 );
+  rtems_test_assert( tmpId == main_task );
 
   puts( "rtems_object_id_get_api - OK" );
   part = rtems_object_id_get_api( main_task );
-  assert( part == OBJECTS_CLASSIC_API );
+  rtems_test_assert( part == OBJECTS_CLASSIC_API );
 
   puts( "rtems_object_id_get_class - OK" );
   part = rtems_object_id_get_class( main_task );
-  assert( part == OBJECTS_RTEMS_TASKS );
+  rtems_test_assert( part == OBJECTS_RTEMS_TASKS );
 
   puts( "rtems_object_id_get_node - OK" );
   part = rtems_object_id_get_node( main_task );
-  assert( part == 1 );
+  rtems_test_assert( part == 1 );
 
   puts( "rtems_object_id_get_index - OK" );
   part = rtems_object_id_get_index( main_task );
-  assert( part == 1 );
+  rtems_test_assert( part == 1 );
 
   /*
Index: testsuites/sptests/sp63/init.c
===================================================================
--- testsuites/sptests/sp63/init.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/sp63/init.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -31,17 +31,17 @@
   heap_size = _Heap_Initialize( &Heap, Memory, sizeof(Memory), 8 );
   printf( "Init - Heap size=%" PRIu32 "\n", heap_size );
-  assert( heap_size );
+  rtems_test_assert( heap_size );
 
   puts( "Init - _Heap_Allocate - too large size (overflow)- not OK");
   ptr1 = _Heap_Allocate( &Heap, UINTPTR_MAX );
-  assert( !ptr1 );
+  rtems_test_assert( !ptr1 );
 
   puts( "Init - _Heap_Allocate_aligned - OK");
   ptr1 = _Heap_Allocate_aligned( &Heap, 64, 32 );
-  assert( ptr1 );
+  rtems_test_assert( ptr1 );
 
   puts( "Init - _Heap_Resize_block - OK");
   hc = _Heap_Resize_block( &Heap, ptr1, 4, &old, &avail );
-  assert( !hc );
+  rtems_test_assert( !hc );
 }
 
@@ -61,13 +61,13 @@
   heap_size = _Heap_Initialize( &Heap, Memory, sizeof(Memory), 8 );
   printf( "Init - Heap size=%" PRIu32 "\n", heap_size );
-  assert( heap_size );
+  rtems_test_assert( heap_size );
 
   puts( "Init - _Heap_Allocate_aligned - OK");
   ptr1 = _Heap_Allocate_aligned( &Heap, 64, 4 );
-  assert( ptr1 );
+  rtems_test_assert( ptr1 );
 
   puts( "Init - _Heap_Resize_block - OK");
   hc = _Heap_Resize_block( &Heap, ptr1, 56, &old, &avail );
-  assert( !hc );
+  rtems_test_assert( !hc );
 }
 
Index: testsuites/sptests/sp64/init.c
===================================================================
--- testsuites/sptests/sp64/init.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/sp64/init.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -43,5 +43,5 @@
   puts( "Init - rtems_workspace_get_information - OK" );
   sb = rtems_workspace_get_information( &start );
-  assert( sb );
+  rtems_test_assert( sb );
 
   #if 0
@@ -49,5 +49,5 @@
     printf( "Init - workspace free blocks = %d\n", start.Free.number );
   #endif
-  assert( start.Free.number == 1 );
+  rtems_test_assert( start.Free.number == 1 );
   to_alloc = start.Free.largest;
 
@@ -70,7 +70,7 @@
    */
   sb = rtems_workspace_get_information( &info );
-  assert( sb );
-  assert( info.Free.largest == start.Free.largest );
-  assert( info.Free.number  == start.Free.number  );
+  rtems_test_assert( sb );
+  rtems_test_assert( info.Free.largest == start.Free.largest );
+  rtems_test_assert( info.Free.number  == start.Free.number  );
 
   puts( "Init - rtems_region_create - auto-extend - RTEMS_UNSATISFIED" );
@@ -78,5 +78,5 @@
 
     sb = rtems_workspace_allocate( to_alloc, &alloced );
-    assert( sb );
+    rtems_test_assert( sb );
 
     sc = rtems_region_create(
@@ -108,7 +108,7 @@
         info.Free.largest, info.Free.number );
     #endif
-    assert( sb );
-    assert( info.Free.largest == start.Free.largest );
-    assert( info.Free.number  == start.Free.number  );
+    rtems_test_assert( sb );
+    rtems_test_assert( info.Free.largest == start.Free.largest );
+    rtems_test_assert( info.Free.number  == start.Free.number  );
 
     to_alloc -= 8;
@@ -125,5 +125,5 @@
   puts( "Init - rtems_region_delete - OK" );
   sc = rtems_region_delete( region2 );
-  assert( sc == 0 );
+  rtems_test_assert( sc == 0 );
 
   /*
@@ -140,7 +140,7 @@
       info.Free.largest, info.Free.number );
     #endif
-    assert( sb );
-    assert( info.Free.largest == start.Free.largest );
-    assert( info.Free.number  == start.Free.number  );
+    rtems_test_assert( sb );
+    rtems_test_assert( info.Free.largest == start.Free.largest );
+    rtems_test_assert( info.Free.number  == start.Free.number  );
   #endif
 
Index: testsuites/sptests/spfatal10/testcase.h
===================================================================
--- testsuites/sptests/spfatal10/testcase.h	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/spfatal10/testcase.h	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -10,4 +10,6 @@
  *  $Id$
  */
+
+#include <assert.h>
 
 #define FATAL_ERROR_TEST_NAME            "10"
Index: testsuites/sptests/spfatal11/testcase.h
===================================================================
--- testsuites/sptests/spfatal11/testcase.h	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/spfatal11/testcase.h	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -10,4 +10,6 @@
  *  $Id$
  */
+
+#include <assert.h>
 
 #define FATAL_ERROR_TEST_NAME            "11"
Index: testsuites/sptests/spobjgetnext/init.c
===================================================================
--- testsuites/sptests/spobjgetnext/init.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/spobjgetnext/init.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -75,13 +75,13 @@
   puts( "Init - _Objects_Get_next - NULL object information" );
   o = _Objects_Get_next( NULL, main_task, &location, &id );
-  assert( o == NULL );
+  rtems_test_assert( o == NULL );
 
   puts( "Init - _Objects_Get_next - NULL location" );
   o = _Objects_Get_next( info, main_task, NULL, &id );
-  assert( o == NULL );
+  rtems_test_assert( o == NULL );
 
   puts( "Init - _Objects_Get_next - NULL id" );
   o = _Objects_Get_next( info, main_task, &location, NULL );
-  assert( o == NULL );
+  rtems_test_assert( o == NULL );
 
   /* XXX push the three NULL error cases */
@@ -90,10 +90,10 @@
   count = scan_objects( info, OBJECTS_ID_INITIAL_INDEX );
   printf( "%d RTEMS Task%s\n", count, ((count == 1) ? "" : "s") );
-  assert( count == 1 );
+  rtems_test_assert( count == 1 );
 
   /* simple case of only 1 task in the system, starting at that task */
   count = scan_objects( info, main_task );
   printf( "%d RTEMS Task%s\n", count, ((count == 1) ? "" : "s") );
-  assert( count == 1 );
+  rtems_test_assert( count == 1 );
 
   /* XXX create >= 1 task and make sure the counts are correct when */
Index: testsuites/sptests/spwkspace/init.c
===================================================================
--- testsuites/sptests/spwkspace/init.c	(revision 2317457e101509ca16a669d99719ae44b0c60599)
+++ testsuites/sptests/spwkspace/init.c	(revision 9e7d02a3dcd0b4b38f13c11214a597d67c6aeb94)
@@ -27,34 +27,34 @@
   puts( "rtems_workspace_get_information - null pointer" );
   retbool = rtems_workspace_get_information( NULL );
-  assert( retbool == false );
+  rtems_test_assert( retbool == false );
 
   puts( "rtems_workspace_get_information - OK" );
   retbool = rtems_workspace_get_information( &info );
-  assert( retbool == true );
+  rtems_test_assert( retbool == true );
 
   puts( "rtems_workspace_allocate - null pointer" );
   retbool = rtems_workspace_allocate( 42, NULL );
-  assert( retbool == false );
+  rtems_test_assert( retbool == false );
 
   puts( "rtems_workspace_allocate - 0 bytes" );
   retbool = rtems_workspace_allocate( 0, &p1 );
-  assert( retbool == false );
+  rtems_test_assert( retbool == false );
 
   puts( "rtems_workspace_allocate - too many bytes" );
   retbool = rtems_workspace_allocate( info.Free.largest * 2, &p1 );
-  assert( retbool == false );
+  rtems_test_assert( retbool == false );
 
   puts( "rtems_workspace_allocate - 42 bytes" );
   retbool = rtems_workspace_allocate( 42, &p1 );
-  assert( retbool == true );
-  assert( p1 != NULL );
+  rtems_test_assert( retbool == true );
+  rtems_test_assert( p1 != NULL );
 
   puts( "rtems_workspace_free - NULL" );
   retbool = rtems_workspace_free( NULL );
-  assert( retbool == false );
+  rtems_test_assert( retbool == false );
 
   puts( "rtems_workspace_free - previous pointer to 42 bytes" );
   retbool = rtems_workspace_free( p1 );
-  assert( retbool == true );
+  rtems_test_assert( retbool == true );
 
   puts( "*** END OF TEST WORKSPACE CLASSIC API ***" );
